fusialDocs

Redeliver a webhook

POST
/webhook-endpoints/{id}/deliveries/{deliveryId}/redeliver
x-api-key<token>

Your workspace API key. Create and manage keys in your Fusial workspace settings. Keys carry scopes of the form resource:action.

In: header

Path Parameters

id*string

The webhook endpoint id.

deliveryId*string

The delivery id.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/webhook-endpoints/string/deliveries/string/redeliver"
{
  "delivery": {
    "id": "string",
    "endpointId": "string",
    "eventId": "string",
    "eventType": "string",
    "status": "PENDING",
    "attempts": 0,
    "responseStatus": 0,
    "responseBody": "string",
    "errorMessage": "string",
    "deliveredAt": "2019-08-24T14:15:22Z",
    "redeliveryOfId": "string",
    "createdAt": "2019-08-24T14:15:22Z"
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}